Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000872bareos-core[All Projects] storage daemonpublic2017-11-04 17:462018-06-22 17:13
Reportertuxmaster 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformX86_64OSFedoraOS Version27
Product Version 
Target VersionFixed in Version17.2.6 
Summary0000872: 17.2.3 build fails on Fedora 27 at compiling the cephfs plugin
DescriptionUnder Fedora 26 the compile process will work.
At 27 it will fails at the cephfs part with:
/builddir/build/BUILD/bareos-17.2.3/libtool --silent --tag=CXX --mode=compile /usr/lib64/ccache/g++ -fno-strict-aliasing -fno-exceptions -I. -I../.. -I../../incl
ude -I../../filed -c cephfs-fd.c
cephfs-fd.c: In function 'bRC get_next_file_to_backup(bpContext*)':
cephfs-fd.c:470:97: error: cannot convert 'stat*' to 'ceph_statx*' for argument '4' to 'int ceph_readdirplus_r(ceph_mount_info*, ceph_dir_result*, dirent*, ceph_st
atx*, unsigned int, unsigned int, Inode**)'
       status = ceph_readdirplus_r(p_ctx->cmount, p_ctx->cdir, &p_ctx->de, &p_ctx->statp, &stmask);
                                                                                                 ^
cephfs-fd.c:476:19: error: 'ceph_stat' was not declared in this scope
          status = ceph_stat(p_ctx->cmount, p_ctx->cwd, &p_ctx->statp);
                   ^~~~~~~~~
cephfs-fd.c:476:19: note: suggested alternative: 'ceph_statx'
          status = ceph_stat(p_ctx->cmount, p_ctx->cwd, &p_ctx->statp);
                   ^~~~~~~~~
                   ceph_statx
cephfs-fd.c: In function 'bool cephfs_makedirs(plugin_ctx*, const char*)':
cephfs-fd.c:1186:14: error: 'ceph_lstat' was not declared in this scope
          if (ceph_lstat(p_ctx->cmount, new_directory.c_str(), &st) != 0) {
              ^~~~~~~~~~
cephfs-fd.c:1186:14: note: suggested alternative: 'ceph_statx'
          if (ceph_lstat(p_ctx->cmount, new_directory.c_str(), &st) != 0) {
              ^~~~~~~~~~
              ceph_statx
cephfs-fd.c: In function 'bRC createFile(bpContext*, restore_pkt*)':
cephfs-fd.c:1243:13: error: 'ceph_lstat' was not declared in this scope
    status = ceph_lstat(p_ctx->cmount, rp->ofname, &st);
             ^~~~~~~~~~
cephfs-fd.c:1243:13: note: suggested alternative: 'ceph_statx'
    status = ceph_lstat(p_ctx->cmount, rp->ofname, &st);
             ^~~~~~~~~~
             ceph_statx
make[1]: *** [Makefile:161: cephfs-fd.lo] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/bareos-17.2.3/src/plugins/filed'
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Fileslog file icon build.log [^] (99,514 bytes) 2017-11-04 17:46
log file icon installed_pkgs.log [^] (54,767 bytes) 2017-11-04 17:46
log file icon root.log [^] (391,677 bytes) 2017-11-04 17:46

- Relationships
child of 0000916resolvedjoergs Release bareos-17.2.6 

-  Notes
(0002969)
joergs (administrator)
2018-04-05 18:25

Yes. CEPH API has changed in newer versions. Not sure, when we find time to address this.

- Related Changesets
bareos: bareos-17.2 fd7b5db7
Timestamp: 2018-05-11 15:15:08
Author: pstorz
Ported: N/A
Details ] Diff ]
backport ceph: ported cephfs-fd and cephfs_device to new api

We now use the ceph_statx family of functions if ceph/ceph_statx.h
exists. Otherwise we use the old API.
mod - autoconf/config.h.in Diff ] File ]
mod - autoconf/configure.in Diff ] File ]
mod - configure Diff ] File ]
mod - src/plugins/filed/cephfs-fd.c Diff ] File ]
mod - src/stored/backends/cephfs_device.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-04 17:46 tuxmaster New Issue
2017-11-04 17:46 tuxmaster File Added: build.log
2017-11-04 17:46 tuxmaster File Added: installed_pkgs.log
2017-11-04 17:46 tuxmaster File Added: root.log
2018-04-05 18:25 joergs Note Added: 0002969
2018-04-05 18:25 joergs Status new => confirmed
2018-06-08 13:42 joergs Relationship added child of 0000916
2018-06-08 13:44 joergs Changeset attached => bareos bareos-17.2 fd7b5db7
2018-06-08 13:45 joergs bareos-master: impact => yes
2018-06-08 13:45 joergs bareos-master: action => fixed
2018-06-08 13:45 joergs bareos-17.2: impact => yes
2018-06-08 13:45 joergs bareos-17.2: action => fixed
2018-06-08 13:45 joergs Status confirmed => resolved
2018-06-08 13:45 joergs Resolution open => fixed
2018-06-08 13:45 joergs Assigned To => joergs
2018-06-22 17:13 joergs Assigned To joergs =>
2018-06-22 17:13 joergs Status resolved => closed
2018-06-22 17:13 joergs Fixed in Version => 17.2.6


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker